View Issue Details

IDProjectCategoryView StatusLast Update
0007516CentOS-7centos-releasepublic2014-08-25 12:24
Reportertiahino Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
OSCentOSOS Version7.0-1406 
Product Version7.0-1406 
Summary0007516: RPM-GPG-KEY-CentOS-Debug-7 import fails
DescriptionThe file /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Debug-7 shipped with centos-release-7-0.1406.el7.centos.2.4 contains two keys, one being the CentOS 7 Official Signing Key and another the debug one (CentOS-7 Debuginfo RPMS).

As the main key is imported during the kickstart, rpm --import against the above file silently exits apparently because the first key is found in the rpm database and the second key is not imported too.
Steps To ReproduceOn a freshly installed system execute rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Debug-7. After it exits, verify the keys imported into the database with rpm -qa | grep gpg-pubkey

The debug key (gpg-pubkey-b6792c39-53c4fbdd) will be missing.
Additional InformationAs a workaround it is possible to import the file into gpg keyring and then export only the debug key into a separate file and then use that file to import the key into the rpm database.
TagsNo tags attached.
abrt_hash
URL

Relationships

related to 0007497 resolvedJohnnyHughes No debuginfo-* packages to support Systemtap on CentOS7 

Activities

Evolution

Evolution

2014-08-19 23:18

reporter   ~0020715

This will be addressed in an upcoming patch. rpm's gpg handling doesn't appear to be able to deal with subkeys, despite gpg doing it just fine.
toracat

toracat

2014-08-20 19:59

manager   ~0020722

Please see this mail from the centos-devel mail list:

http://lists.centos.org/pipermail/centos-devel/2014-August/011753.html
JohnnyHughes

JohnnyHughes

2014-08-25 12:24

administrator   ~0020743

fixed in centos-release-7-0.1406.el7.centos.2.5.x86_64.rpm, now syncing to mirrors

Issue History

Date Modified Username Field Change
2014-08-19 23:09 tiahino New Issue
2014-08-19 23:18 Evolution Note Added: 0020715
2014-08-19 23:18 Evolution Status new => confirmed
2014-08-20 00:59 toracat Relationship added related to 0007497
2014-08-20 19:59 toracat Note Added: 0020722
2014-08-25 12:24 JohnnyHughes Note Added: 0020743
2014-08-25 12:24 JohnnyHughes Status confirmed => resolved
2014-08-25 12:24 JohnnyHughes Resolution open => fixed
2014-10-20 12:14 shengvvvvv Issue cloned: 0007745